package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.exceptions;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microdata.data.Microdata;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 11/8/11
 * Time: 1:52 AM
 */
public class IslandsValidationMicrodataValidatorException extends MicrodataValidatorException{

    final String key;

    public IslandsValidationMicrodataValidatorException(final String type, final boolean isCritical, final String message, final Microdata microdata) {
        super(isCritical, message, microdata);
        this.key="islands_exception_"+type;
    }

    @Override
    public String getKey() {
        return key;
    }
}
